Loading...
Searching...
No Matches
Line definitions

## Enumerations

enum | gpiod_line_value { GPIOD_LINE_VALUE_ERROR = -1 , GPIOD_LINE_VALUE_INACTIVE = 0 , GPIOD_LINE_VALUE_ACTIVE = 1 }
| Logical line state. More...
enum | gpiod_line_direction { GPIOD_LINE_DIRECTION_AS_IS = 1 , GPIOD_LINE_DIRECTION_INPUT , GPIOD_LINE_DIRECTION_OUTPUT }
| Direction settings. More...
enum | gpiod_line_edge { GPIOD_LINE_EDGE_NONE = 1 , GPIOD_LINE_EDGE_RISING , GPIOD_LINE_EDGE_FALLING , GPIOD_LINE_EDGE_BOTH }
| Edge detection settings. More...
enum | gpiod_line_bias { GPIOD_LINE_BIAS_AS_IS = 1 , GPIOD_LINE_BIAS_UNKNOWN , GPIOD_LINE_BIAS_DISABLED , GPIOD_LINE_BIAS_PULL_UP , GPIOD_LINE_BIAS_PULL_DOWN }
| Internal bias settings. More...
enum | gpiod_line_drive { GPIOD_LINE_DRIVE_PUSH_PULL = 1 , GPIOD_LINE_DRIVE_OPEN_DRAIN , GPIOD_LINE_DRIVE_OPEN_SOURCE }
| Drive settings. More...
enum | gpiod_line_clock { GPIOD_LINE_CLOCK_MONOTONIC = 1 , GPIOD_LINE_CLOCK_REALTIME , GPIOD_LINE_CLOCK_HTE }
| Clock settings. More...

## Detailed Description

These defines are used across the API.

## Enumeration Type Documentation

## gpiod_line_bias

enum gpiod_line_bias

Internal bias settings.

Enumerator
GPIOD_LINE_BIAS_AS_IS | Don't change the bias setting when applying line config.
GPIOD_LINE_BIAS_UNKNOWN | The internal bias state is unknown.
GPIOD_LINE_BIAS_DISABLED | The internal bias is disabled.
GPIOD_LINE_BIAS_PULL_UP | The internal pull-up bias is enabled.
GPIOD_LINE_BIAS_PULL_DOWN | The internal pull-down bias is enabled.

## gpiod_line_clock

enum gpiod_line_clock

Clock settings.

Enumerator
GPIOD_LINE_CLOCK_MONOTONIC | Line uses the monotonic clock for edge event timestamps.
GPIOD_LINE_CLOCK_REALTIME | Line uses the realtime clock for edge event timestamps.
GPIOD_LINE_CLOCK_HTE | Line uses the hardware timestamp engine for event timestamps.

## gpiod_line_direction

enum gpiod_line_direction

Direction settings.

Enumerator
GPIOD_LINE_DIRECTION_AS_IS | Request the line(s), but don't change direction.
GPIOD_LINE_DIRECTION_INPUT | Direction is input - for reading the value of an externally driven GPIO line.
GPIOD_LINE_DIRECTION_OUTPUT | Direction is output - for driving the GPIO line.

## gpiod_line_drive

enum gpiod_line_drive

Drive settings.

Enumerator
GPIOD_LINE_DRIVE_PUSH_PULL | Drive setting is push-pull.
GPIOD_LINE_DRIVE_OPEN_DRAIN | Line output is open-drain.
GPIOD_LINE_DRIVE_OPEN_SOURCE | Line output is open-source.

## gpiod_line_edge

enum gpiod_line_edge

Edge detection settings.

Enumerator
GPIOD_LINE_EDGE_NONE | Line edge detection is disabled.
GPIOD_LINE_EDGE_RISING | Line detects rising edge events.
GPIOD_LINE_EDGE_FALLING | Line detects falling edge events.
GPIOD_LINE_EDGE_BOTH | Line detects both rising and falling edge events.

## gpiod_line_value

enum gpiod_line_value

Logical line state.

Enumerator
GPIOD_LINE_VALUE_ERROR | Returned to indicate an error when reading the value.
GPIOD_LINE_VALUE_INACTIVE | Line is logically inactive.
GPIOD_LINE_VALUE_ACTIVE | Line is logically active.